@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

* {
  transition: all .2s ease;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: rgb(250, 245, 255);
}

html {
  scroll-behavior: smooth;
}

p {
  color: rgb(105, 85, 105);
}

nav,
.nav-links {
  display: flex;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 17vh;
}

.nav-links {
  gap: 2rem;
  list-style: none;
  font-size: 1.5rem;
}

a {
  color: black;
  text-decoration: none;
}

a:hover {
  color: rgb(101, 81, 151);
  text-decoration: underline;
  text-underline-offset: 1rem;
  text-decoration-color: rgb(101, 81, 151);
}

.logo {
  font-size: 2rem;
}

section {
  padding-top: 4vh;
  min-height: 75vh;
  margin: 0 10rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.section-container {
  display: flex;
  gap: 4rem;
  height: 80%;
}

#profile {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 5rem;
  height: 70vh !important;
}

.section__pic-container {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section__pic-container {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section__text {
  align-self: center;
  text-align: center;
  width: 100%;
}

.section__text__p1 {
  text-align: center;
}

.section__text__p2 {
  font-size: 1.75rem;
  margin-bottom: 1rem;
  text-align: center;
}

.title {
  font-size: 3rem;
  text-align: center;
}

.icon {
  cursor: pointer;
  height: 2rem;
}

.icon:hover {
  scale: 1.2;
}

.btn-container {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin-top: 1rem;
  width: 100%;
}

.btn-container a {
  text-decoration: none;
  width: 100%;
  display: flex;
}

button {
  flex: 1;
  cursor: pointer;
  font-weight: 600;
  padding: 1rem;
  width: 8rem;
  border-radius: 2rem;
  border: rgb(73, 53, 83) 0.1rem solid;
  background: none;
}

.btn-color-1 {
  background: rgb(63, 53, 73);
  color: white;
}

.btn-color-1:hover {
  background: black;
}

.btn-color-2:hover {
  background: rgb(63, 53, 73);
  color: white;
}

#about {
  position: relative;
}

.about-containers {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  margin: 2rem 0;
}

.about-details-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.details-container {
  padding: 1.5rem;
  border-radius: 2rem;
  border: rgb(193, 163, 193) 0.1rem solid;
  text-align: center;
}

.text-container {
  text-align: center;
}

.text-container p {
  line-height: 1.6;
}

#experience {
  position: relative;
}

.experience-sub-title {
  text-align: center;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experience-details-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.article-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1.5rem;
}

article {
  display: flex;
  gap: 0.75rem;
  align-items: center;
}

article div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-align: start;
}

#projects {
  position: relative;
}

.color-container {
  border: rgb(193, 163, 193) 0.1rem solid;
  border-radius: 2rem;
  padding: 1.5rem;
  text-align: center;
}

.project-img {
  border-radius: 2rem;
  aspect-ratio: 16/9;
  width: 100%;
  object-fit: cover;
}

.project-title {
  margin: 1rem 0;
}

.color-container p {
  margin-bottom: 2rem;
}

#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 70vh;
}

.contact-info-upper-container {
  display: flex;
  justify-content: center;
  border-radius: 2rem;
  border: rgb(193, 163, 193) 0.1rem solid;
  margin: 2rem auto;
  padding: 1rem 2rem;
  gap: 2rem;
}

.contact-info-container {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

footer {
  height: 26vh;
  margin: 0 1rem;
}

footer p {
  text-align: center;
}